<?php

namespace App\Entity;

use App\Repository\AppSettingsRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: AppSettingsRepository::class)]
class AppSettings
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $MangaDirectory = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $ImageDirectory = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getMangaDirectory(): ?string
    {
        return $this->MangaDirectory;
    }

    public function setMangaDirectory(?string $MangaDirectory): static
    {
        $this->MangaDirectory = $MangaDirectory;

        return $this;
    }

    public function getImageDirectory(): ?string
    {
        return $this->ImageDirectory;
    }

    public function setImageDirectory(?string $ImageDirectory): static
    {
        $this->ImageDirectory = $ImageDirectory;

        return $this;
    }
}
